/*
 * xverify-  Check to see if we can open a display
 *
 * exit status = 0 Ok, 1 can't open, 2 usage error
 */

#include <X11/Xlib.h>
#include <stdio.h>
Display *dpy;

main(argc, argv)
     int argc;
     char **argv;
{
  char *displayname = NULL;
  int i;
 
  for (i = 1; i < argc; i++) {
    char *arg = argv[i];
    if (!strcmp (arg, "-display") || !strcmp (arg, "-d")) {
      if (++i >= argc) {
	fprintf(stderr,"usage: xverify -display display_name\n");
	exit(2);
      }
      displayname = argv[i];
      break;
    }
  }
  dpy = XOpenDisplay(displayname);
  if (dpy == NULL) {
    exit(1);
  }
  XCloseDisplay(dpy);
  exit(0);
}
